#include<bits/stdc++.h>
using namespace std;
int t,n[1000000],m[1000000],k[1000000];
float broj_ljudi_u_grupi[10000000];
int main ()
{
  cin >> t;
  for(int i=1; i<=t; i++)
  {
    cin >> n[i] >> m[i] >> k[i];
  }

  for(int i=1; i<=t; i++)
  {
    if(m[i]/(k[i]*n[i])<=m[i]/10)
    {
      cout << "Tak" << endl;
    }
    else
    {
      cout << "Nie" << endl;
    }
  }
}